Loading...
Searching...
No Matches
elastix::BSplineResampleInterpolatorFloat< TElastix > Class Template Reference
Components » ResampleInterpolators

`#include <elxBSplineResampleInterpolatorFloat.h>`

## Detailed Description

template<class TElastix>
class elastix::BSplineResampleInterpolatorFloat< TElastix >

A resample-interpolator based on B-splines.

Compared to the BSplineResampleInterpolator this class uses a float CoefficientType, instead of double. You can select this resample interpolator if memory burden is an issue.

The parameters used in this class are:

Parameters

  ResampleInterpolator: Select this resample interpolator as follows:
  (ResampleInterpolator "FinalBSplineInterpolatorFloat")

  FinalBSplineInterpolationOrder: the order of the B-spline used to resample the deformed moving image; possible values: (0-5)
  example: (FinalBSplineInterpolationOrder 3 )
  Default: 3.

The transform parameters necessary for transformix, additionally defined by this class, are:

Transform Parameters
  FinalBSplineInterpolationOrder: the order of the B-spline used to resample the deformed moving image; possible values: (0-5)
  example: (FinalBSplineInterpolationOrder 3)
  Default: 3.

See also
  BSplineResampleInterpolator

Definition at line 54 of file elxBSplineResampleInterpolatorFloat.h.

Inheritance diagram for elastix::BSplineResampleInterpolatorFloat< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | ParameterMapType
using | Pointer = itk::SmartPointer<Self>
using | Self = BSplineResampleInterpolatorFloat
using | Superclass1
using | Superclass2 = ResampleInterpolatorBase<TElastix>
Public Types inherited from elastix::ResampleInterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResampleInterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | BeforeRegistration () override
| elxClassNameMacro ("FinalBSplineInterpolatorFloat")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BSplineResampleInterpolatorFloat)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
void | ReadFromFile () override
Public Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
virtual int | BeforeAllTransformix ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (ResampleInterpolatorBase)
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| BSplineResampleInterpolatorFloat ()=default
| ~BSplineResampleInterpolatorFloat () override=default
Protected Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
| ResampleInterpolatorBase ()=default
| ~ResampleInterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

ParameterMapType | CreateDerivedTransformParameterMap () const override

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 71 of file elxBSplineResampleInterpolatorFloat.h.

## ITKBaseType

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 104 of file elxBSplineResampleInterpolatorFloat.h.

## ParameterMapType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::ParameterMapType

Typedef that is used in the elastix dll version.

Definition at line 67 of file elxResampleInterpolatorBase.h.

## Pointer

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 70 of file elxBSplineResampleInterpolatorFloat.h.

## Self

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::Self = BSplineResampleInterpolatorFloat

Standard ITK-stuff.

Definition at line 65 of file elxBSplineResampleInterpolatorFloat.h.

## Superclass1

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::Superclass1

Initial value:
itk::BSplineInterpolateImageFunction<typename ResampleInterpolatorBase<TElastix>::InputImageType,
typename ResampleInterpolatorBase<TElastix>::CoordRepType,
float>
elastix::ResampleInterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxResampleInterpolatorBase.h:61

Definition at line 66 of file elxBSplineResampleInterpolatorFloat.h.

## Superclass2

template<class TElastix>

using elastix::BSplineResampleInterpolatorFloat< TElastix >::Superclass2 = ResampleInterpolatorBase<TElastix>

Definition at line 69 of file elxBSplineResampleInterpolatorFloat.h.

## Constructor & Destructor Documentation

## BSplineResampleInterpolatorFloat()

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::BSplineResampleInterpolatorFloat | ( |  | ) |

protected default

The constructor.

## ~BSplineResampleInterpolatorFloat()

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::~BSplineResampleInterpolatorFloat | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeRegistration()

template<class TElastix>

void elastix::BSplineResampleInterpolatorFloat< TElastix >::BeforeRegistration | ( |  | ) |

override virtual

Execute stuff before the actual registration:

- Set the spline order.

Reimplemented from elastix::BaseComponent.

## CreateDerivedTransformParameterMap()

template<class TElastix>

ParameterMapType elastix::BSplineResampleInterpolatorFloat< TElastix >::CreateDerivedTransformParameterMap | ( |  | ) | const

override private virtual

Creates a map of the parameters specific for this (derived) interpolator type.

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## elxClassNameMacro()

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::elxClassNameMacro | ( | "FinalBSplineInterpolatorFloat" |  | ) |

Name of this class. Use this name in the parameter file to select this specific resample interpolator.
example: (ResampleInterpolator "FinalBSplineInterpolatorFloat")

## GetClassName()

template<class TElastix>

virtual const char * elastix::BSplineResampleInterpolatorFloat< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | BSplineResampleInterpolatorFloat< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Dimension of the image.

## New()

template<class TElastix>

Pointer elastix::BSplineResampleInterpolatorFloat< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## ReadFromFile()

template<class TElastix>

void elastix::BSplineResampleInterpolatorFloat< TElastix >::ReadFromFile | ( |  | ) |

override virtual

Function to read transform-parameters from a file.

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::BSplineResampleInterpolatorFloat< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 124 of file elxBSplineResampleInterpolatorFloat.h.

Generated on 1768596610 for elastix by 1.15.0 |